﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;

namespace INT_PT002.DataStore
{
    public class LeakData
    {
        #region Field
        private Define.E_ProgressStatus m_ProgressStatus;
        private Define.E_JudgmentStatus m_JudgmentStatus;

        private string m_CurrentValueSign;
        private string m_CurrentValue;
        private string m_MaxValueSign;
        private string m_MaxValue;
        private string m_StDev;
        private string m_ResultSD;
        #endregion

        #region Constructor
        public LeakData()
        {
            this.Initialize();
        }
        #endregion

        #region Property
        public Define.E_ProgressStatus ProgressStatus
        {
            get { return this.m_ProgressStatus; }
            set { this.m_ProgressStatus = value; }
        }
        public Define.E_JudgmentStatus JudgmentStatus
        {
            get { return this.m_JudgmentStatus; }
            set { this.m_JudgmentStatus = value; }
        }

        public string CurrentValueSign
        {
            get { return this.m_CurrentValueSign; }
            set { this.m_CurrentValueSign = value; }
        }
        /// <summary>
        /// 소수점X (3)
        /// </summary>
        public string CurrentValue
        {
            get { return this.m_CurrentValue; }
            set { this.m_CurrentValue = value; }
        }
        public string MaxValueSign
        {
            get { return this.m_MaxValueSign; }
            set { this.m_MaxValueSign = value; }
        }
        /// <summary>
        /// 소수점X (3)
        /// </summary>
        public string MaxValue
        {
            get { return this.m_MaxValue; }
            set { this.m_MaxValue = value; }
        }
        /// <summary>
        /// 소수점X (4)
        /// </summary>
        public string StDev
        {
            get { return this.m_StDev; }
            set { this.m_StDev = value; }
        }
        /// <summary>
        /// 소수점X (4)
        /// </summary>
        public string ResultSD
        {
            get { return this.m_ResultSD; }
            set { this.m_ResultSD = value; }
        }
        #endregion

        #region Method
        private void Initialize()
        {
            this.ProgressStatus = Define.E_ProgressStatus.None;
            this.JudgmentStatus = Define.E_JudgmentStatus.None;

            this.CurrentValueSign = "+";
            this.CurrentValue = "0.000";
            this.MaxValueSign = "+";
            this.MaxValue = "0.000";
            this.StDev = "0.0000";
            this.ResultSD = "0.0000";
        }
        #endregion
    }
}
